资讯屋 发表于 2018-11-17 19:09:30

结束

本帖最后由 资讯屋 于 2018-11-19 14:54 编辑

1

湖中沉 发表于 2018-11-17 19:15:34

看截图是不兼容PHP7,你PHP环境换5.5左右的估计就可以了

资讯屋 发表于 2018-11-17 19:21:53

湖中沉 发表于 2018-11-17 19:15
看截图是不兼容PHP7,你PHP环境换5.5左右的估计就可以了

我很多插件5.x都不兼容。现在开发者都在做PHP7的兼容了。

湖中沉 发表于 2018-11-17 19:22:50

资讯屋 发表于 2018-11-17 19:21
我很多插件5.x都不兼容。现在开发者都在做PHP7的兼容了。

做PHP7兼容的一般在PHP5下依然兼容的,很少有看见只能用于PHP7的

资讯屋 发表于 2018-11-17 19:24:42

湖中沉 发表于 2018-11-17 19:22
做PHP7兼容的一般在PHP5下依然兼容的,很少有看见只能用于PHP7的

有的,而且PHP7 速度比php5快很多,用5干什么。DZ本来就慢,用PHP7 提速。作者几行代码适配一下不就好了,关键联系不上。

湖中沉 发表于 2018-11-17 19:25:07

而且你看你买的这个,我去看了下,最后更新是2015-10-19,肯定是没有专门对PHP7做兼容处理的

湖中沉 发表于 2018-11-17 19:28:27

资讯屋 发表于 2018-11-17 19:24
有的,而且PHP7 速度比php5快很多,用5干什么。DZ本来就慢,用PHP7 提速。作者几行代码适配一下不就好了 ...

那是你觉得简单,有些应用,早就停止更新维护了……

最后更新比较久以前的,如果要用于PHP7以上的,都建议咨询下开发者先

资讯屋 发表于 2018-11-17 19:30:19

湖中沉 发表于 2018-11-17 19:28
那是你觉得简单,有些应用,早就停止更新维护了……

最后更新比较久以前的,如果要用于PHP7以上的,都 ...

那我只能退款了,停止更新我不知道,我一般用1314的他们的只要有问题提出,第二天准时更新。

湖中沉 发表于 2018-11-17 19:37:02

资讯屋 发表于 2018-11-17 19:30
那我只能退款了,停止更新我不知道,我一般用1314的他们的只要有问题提出,第二天准时更新。

今天是周末,就算有问题要反馈,也该周一工作日再反馈。原则上源代码产品不太会支持退款的,好好跟开发者沟通协商先,他们有心更新的话,更新下是不难的

1314学习网 发表于 2018-11-17 19:44:27

本帖最后由 1314学习网 于 2018-11-17 19:49 编辑

手头有这个应用,顺手给你教程,不用谢
source/plugin/handynasty_replace/replace.inc.php
找到
function show_module_str($val,$type=0){改为function show_module_str($val=0,$type=0){
页: [1] 2
查看完整版本: 结束